---
id: 66adc6046acc18453decf577
title: Step 12
challengeType: 1
dashedName: step-12
---

# --description--

To see the bot's new nickname, you will need to log a new message to the console.

Create a new variable called `newNicknameGreeting`.

Then use string concatenation to join the string `"I love my nickname but I wish people would call me "` with the `bot` variable followed by a period.

Assign the result to the `newNicknameGreeting` variable.

Then, log the value of `newNicknameGreeting` to the console.

# --hints--

You should have a variable called `newNicknameGreeting`.

```js
assert.isNotNull(newNicknameGreeting);
```

Your `newNicknameGreeting` variable should be a string.

```js
assert.isString(newNicknameGreeting);
```

You should use string concatenation to join the string `"I love my nickname but I wish people would call me "` with the `bot` variable followed by a period.

```js
assert.strictEqual(newNicknameGreeting, "I love my nickname but I wish people would call me awesomeTeacherBot.");
```

You should have a `console` statement in your code.

```js
assert.lengthOf(__helpers.removeJSComments(code).match(/console\.log(.*)/g), 7);
```

You should log the value of `newNicknameGreeting` to the console.

```js
assert.match(__helpers.removeJSComments(code), /console\.log\s*\(\s*newNicknameGreeting\s*\)/);
```

# --seed--

## --seed-contents--

```js
console.log("Hi there!");
console.log("I am excited to talk to you.");
let bot;
bot = "teacherBot";

let botLocation = "the universe";

console.log("Allow me to introduce myself.");

const botIntroduction = "My name is " + bot + ".";
console.log(botIntroduction);

const botLocationSentence = "I live in " + botLocation + ".";
console.log(botLocationSentence);

bot = "professorBot";

const nicknameIntroduction = "My nickname is " + bot + ".";
console.log(nicknameIntroduction);

bot = "awesomeTeacherBot";

--fcc-editable-region--

--fcc-editable-region--
```
